table:
  name: files
  schema: storage
configuration:
  column_config:
    bucket_id:
      custom_name: bucketId
    created_at:
      custom_name: createdAt
    etag:
      custom_name: etag
    id:
      custom_name: id
    is_uploaded:
      custom_name: isUploaded
    mime_type:
      custom_name: mimeType
    name:
      custom_name: name
    size:
      custom_name: size
    updated_at:
      custom_name: updatedAt
    uploaded_by_user_id:
      custom_name: uploadedByUserId
  custom_column_names:
    bucket_id: bucketId
    created_at: createdAt
    etag: etag
    id: id
    is_uploaded: isUploaded
    mime_type: mimeType
    name: name
    size: size
    updated_at: updatedAt
    uploaded_by_user_id: uploadedByUserId
  custom_name: files
  custom_root_fields:
    delete: deleteFiles
    delete_by_pk: deleteFile
    insert: insertFiles
    insert_one: insertFile
    select: files
    select_aggregate: filesAggregate
    select_by_pk: file
    update: updateFiles
    update_by_pk: updateFile
object_relationships:
  - name: bucket
    using:
      foreign_key_constraint_on: bucket_id
insert_permissions:
  - role: _ctf_admin
    permission:
      check: {}
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
  - role: _staff
    permission:
      check: {}
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
select_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
      filter: {}
      allow_aggregations: true
  - role: _participant
    permission:
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
      filter: {}
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _ctf_admin
    permission:
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
      filter: {}
      check: {}
  - role: _staff
    permission:
      columns:
        - bucket_id
        - created_at
        - etag
        - id
        - is_uploaded
        - metadata
        - mime_type
        - name
        - size
        - updated_at
        - uploaded_by_user_id
      filter: {}
      check: {}
delete_permissions:
  - role: _ctf_admin
    permission:
      filter: {}
  - role: _staff
    permission:
      filter: {}
